更新软件包出现的问题

为当前最终发行版之前的所有版本提供支持
回复
lj860603
帖子: 70
注册时间: 2006-10-24 19:29
送出感谢: 0
接收感谢: 0
联系:

更新软件包出现的问题

#1

帖子 lj860603 » 2006-10-31 8:45

请问,为什么我在更新软件包的时候老是出现下面的错误信息:

正在设置 clamav-base (0.88.4-1ubuntu1~dapper1) ...
chown: 无法访问‘/var/run/clamav’: No such file or directory
dpkg:处理 clamav-base (--configure)时出错:
子进程·post-installation script·返回了错误号·1
dpkg:依赖关系问题使得 clamav-freshclam 的配置工作不能继续:
clamav-freshclam 依赖于 clamav-base (= 0.88.4-1ubuntu1~dapper1);然而:
软件包 clamav-base还没有被配置。
dpkg:处理 clamav-freshclam (--configure)时出错:
依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 clamav 的配置工作不能继续:
clamav 依赖于 clamav-freshclam | clamav-data;然而:
软件包 clamav-freshclam还没有被配置。
软件包 clamav-data还没有被安装。
软件包 clamav-freshclam 提供了 clamav-data还没有被配置。
dpkg:处理 clamav (--configure)时出错:
依赖关系问题 - 仍未被配置
在处理时有错误发生:
clamav-base
clamav-freshclam
clamav
E: Sub-process /usr/bin/dpkg returned an error code (1)


请问这是什么问题?该怎么解决?谢谢啦!
lj860603
帖子: 70
注册时间: 2006-10-24 19:29
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 lj860603 » 2006-10-31 11:57

没有朋友帮忙看看吗?
lj860603
帖子: 70
注册时间: 2006-10-24 19:29
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 lj860603 » 2006-10-31 15:40

自己顶~~~
头像
zhuqin_83
帖子: 10606
注册时间: 2006-05-13 4:02
送出感谢: 0
接收感谢: 7 次
联系:

#4

帖子 zhuqin_83 » 2006-10-31 15:56

clamav是杀毒软件。删除试试。
HP Pavilion DV6-2064CA: AMD Turion II Ultra Dual-Core Mobile M640, HD4650, 2GBx2 DDR2-800, Seagate 500GB 7200RPM SATA, BD-ROM
DELL UltraSharp 2209WA
Arch64, Testing repo
头像
freethirsty
帖子: 136
注册时间: 2006-07-15 10:43
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 freethirsty » 2006-10-31 17:08

sudo apt-get -f install
回复

回到 “老旧版本支持”